# Python Plugin rhivos_metadata

This plugin querys a RHIVOS system for relevant metadata. In order to run this from a container and retreive information from the container host system, you will need to map appropraite paths for the host's `/etc/os-release` and `/etc/build-info` files, as well as the path to the host's RPM database (generally `/var/lib/rpm`).

Example:
```
# echo '{}' | podman run -i --rm -v /usr/lib/os-release:/etc/os-release -v /etc/build-info:/etc/build-info -v /var/lib/rpm:/var/lib/rpm <container_name_and_tag> --debug -f -
```

If you want to map the host's entire `/etc` directory to a different mount point in the container, you will need to provide the path to the container mount point to the `etc_path` plugin input parameter.

Example:
```
# echo '{"etc_path": "/host/etc"}' | podman run -i --rm -v /etc:/host/etc <container_name_and_tag> --debug -f -
```

## Qualcomm firmware info

In order for the container to read the Qualcomm firmware info, the firmware directory will need to first be mounted on the host and then it will need to be shared with the container. This requires either appropriate privileges configured for the mountpoint so that the container can read the contents, or the container will need to run with the `--privileged` flag.

The plugin expects a default path of `/qc-firmware/verinfo/ver_info.txt` in the container for the firmware info file, but this can be overridden with the `firmware_file_path` input parameter.

Example:
```
# mkdir -p /var/firmware/qcom/sa8775p
# mount /dev/sde5 /var/firmware/qcom/sa8775p
# echo '{"firmware_file_path": "/my-firmware/verinfo/ver_info.txt"}' | podman run -i --rm -v /usr/lib/os-release:/etc/os-release -v /etc/build-info:/etc/build-info -v /var/lib/rpm:/var/lib/rpm -v /var/firmware/qcom/sa8775p:/my-firmware --privileged <container_name_and_tag> --debug -f -
```

# Autogenerated Input/Output Documentation by Arcaflow-Docsgen Below

<!-- Autogenerated documentation by arcaflow-docsgen -->
<!-- End of autogenerated documentation -->
